Subject: bug#71477: 30.0.50; Lock files are not deleted on Windows 98

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jun 2024 20:44:30 +0300

> Date: Mon, 10 Jun 2024 23:07:38 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> With lock files enabled, type C-x C-f C:/WINDOWS/Application Data/.emacs
> RET, modify the file, and type C-x C-f, whereupon such a warning will be
> displayed:
> 
> Warning (unlock-file): Invalid argument, `~/.emacs', ignored

I don't have access to Windows 9X anymore, and there's no such
directory on the Windows system to which I do have access.  So either
you or someone will show a recipe that can be reproduced and debugged
on a more modern system, or you dig into the EINVAL on that system and
tell more details to understand what happens, or we just dismiss this
bug alone with "moreinfo" tag (after all, this is just a warning).